Subject: RE: nfs server
From: [email-masked]
To: "Robb, Sam" <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 May 2003 16:38:00 -0500

Actually, can't remember if it's installed to All Users or just me.  Would
that matter?

When I go to Computer Management using the MMC, locate Services on the left
hand side (looks just like Services in the AdminTools in Control Panel)
and then click Properties for CYGWIN portmap, I see "Path to executable" as
d:\cygwin\bin\cygrunsrv.exe and "Start Parameters" is blank.  Should I
insert a -F ?

Thanks.

|---------+---------------------------->
|         |           "Robb, Sam"      |
|         |           <sam.robb@timesys|
|         |           .com>            |
|         |           Sent by:         |
|         |           cygwin-owner@cygw|
|         |           in.com           |
|         |                            |
|         |                            |
|         |           05/13/2003 16:04 |
|         |                            |
|---------+---------------------------->
  >----------------------------------------------------------------------------------------------------------------------------------------------|
  |                                                                                                                                              |
  |       To:       <[email-masked]>                                                                                                          |
  |       cc:                                                                                                                                    |
  |       Subject:  RE: nfs server                                                                                                               |
  >----------------------------------------------------------------------------------------------------------------------------------------------|

> When I try to start nfsd from the command prompt, I get:
>
> $ net start nfsd
> System error 1068 has occurred.
>
> The dependency service or group failed to start.
>
> And I've started portmap from the Cygwin shell prompt and see
> it running there as a process, just not running in the Win2k
> Services listing.

Very odd.  Portmap is about as simple as you can get.

Do you have Cygwin installed for just yourself, or for all
users?  Running portmap as a service executes it under the
LocalSystem account, not your user account.

> I see all three CYGWIN services (mountd, nfsd, and portmap)
> in the Services
> listing, so they appear to have been installed correctly, I just
> can't get any of them to start via Services.
>
> Something I just noticed is that if I check the properties of
> the CYGWIN
> portmap service, under the General tab, the "path to executable" is
> d:\cygwin\bin\cygrunsrv.exe

The reference to cygrunsrv.exe should be correct.  If you open
the portmap service from the Services display in MMC, does it
show "-F" as the start parameter (edit field towards the bottom
of the dialog box?)

-Samrobb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/